## liblscp 0.9.6

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)

project (liblscp
  VERSION 0.9.6
  DESCRIPTION "LinuxSampler Control Protocol API library"
  LANGUAGES C)

set (CONFIG_VERSION ${PROJECT_VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
else ()
  set (VERSION "${PROJECT_VERSION}")
endif ()

set (PACKAGE_NAME "liblscp")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "liblscp")

set (ac_version "${PROJECT_VERSION}")
set (ac_prefix "${CMAKE_INSTALL_PREFIX}")

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_INCLUDEDIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}")

set (ac_libdir "${CONFIG_LIBDIR}")
set (ac_includedir "${CONFIG_INCLUDEDIR}")

#------------------------------------------------------------------------------------
# Rules for library version information:
#
#  1. Start with version information of `0:0:0' for each libtool library.
#  2. Update the version information only immediately before a public release of
#     your software. More frequent updates are unnecessary, and only guarantee
#     that the current interface number gets larger faster.
#  3. If the library source code has changed at all since the last update, then
#     increment revision (`c:r:a' becomes `c:r+1:a').
#  4. If any interfaces have been added, removed, or changed since the last update,
#     increment current, and set revision to 0.
#  5. If any interfaces have been added since the last public release, then increment
#     age.
#  6. If any interfaces have been removed since the last public release, then set age
#     to 0.
#
#set (BUILD_SHARED_LIBS ON)

set (SHARED_VERSION_CURRENT  6)
set (SHARED_VERSION_AGE      0)
set (SHARED_VERSION_REVISION 4)
set (SHARED_VERSION_INFO "${SHARED_VERSION_CURRENT}.${SHARED_VERSION_AGE}.${SHARED_VERSION_REVISION}")

if (CONFIG_DEBUG)
  set (CMAKE_BUILD_TYPE "Debug")
endif ()
if (CMAKE_BUILD_TYPE MATCHES "Debug")
  set (CONFIG_DEBUG 1)
endif ()
if (CONFIG_DEBUG)
  set (CONFIG_BUILD_TYPE "debug")
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_INCLUDEDIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}")

#
# No special build options...
#

# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

include (CheckIncludeFiles)
include (CheckFunctionExists)

# Checks for standard header files.
if (UNIX AND NOT APPLE)
  check_include_files ("stdlib.h;string.h;netdb.h;arpa/inet.h;netinet/tcp.h;netinet/in.h;sys/socket.h;unistd.h" HAVE_HEADERS_H)
  if (NOT HAVE_HEADERS_H)
    message (FATAL_ERROR "*** Standard headers not found.")
  endif ()
endif ()

# Checks for standard functions.
if (UNIX AND NOT APPLE)
  set (FUNCS "strdup;strtok_r;memset;memmove;socket;connect;bind;listen;setsockopt;getsockopt;getsockname;gethostbyname")
  foreach (FUNC ${FUNCS})
     check_function_exists (${FUNC} HAVE_${FUNC}_C)
     if (NOT HAVE_${FUNC}_C)
       message (FATAL_ERROR "*** Standard functions not found.")
     endif ()
  endforeach ()
endif ()

#
# No additional packages or libraries...
#

add_subdirectory (src)
add_subdirectory (doc)
add_subdirectory (examples)

configure_file (liblscp.spec.in liblscp.spec IMMEDIATE @ONLY)

configure_file (lscp.pc.in lscp.pc IMMEDIATE @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/lscp.pc
  DESTINATION ${CONFIG_LIBDIR}/pkgconfig)

=== src/CMakeLists.txt ===
# project(liblscp)

set (CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories (${CMAKE_SOURCE_DIR})

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
  file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
endif ()
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

if (EXISTS ${CMAKE_SOURCE_DIR}/lscp/version.h)
  file(REMOVE ${CMAKE_SOURCE_DIR}/lscp/version.h)
endif()
configure_file (${CMAKE_SOURCE_DIR}/lscp/version.h.cmake ${CMAKE_SOURCE_DIR}/lscp/version.h)


set (PUBLIC_HEADERS
  ${CMAKE_SOURCE_DIR}/lscp/client.h
  ${CMAKE_SOURCE_DIR}/lscp/device.h
  ${CMAKE_SOURCE_DIR}/lscp/event.h
  ${CMAKE_SOURCE_DIR}/lscp/socket.h
  ${CMAKE_SOURCE_DIR}/lscp/thread.h
  ${CMAKE_SOURCE_DIR}/lscp/version.h
)

set (HEADERS
  common.h
)

set (SOURCES
  client.c
  common.c
  device.c
  event.c
  socket.c
  thread.c
)

add_library (${PROJECT_NAME} SHARED
  ${HEADERS}
  ${SOURCES}
)

target_link_libraries (${PROJECT_NAME} PUBLIC pthread)

set_target_properties (${PROJECT_NAME} PROPERTIES
  PUBLIC_HEADER "${PUBLIC_HEADERS}"
  PREFIX "lib"
  OUTPUT_NAME "lscp"
  VERSION ${SHARED_VERSION_INFO}
  SOVERSION ${SHARED_VERSION_CURRENT})

install (TARGETS ${PROJECT_NAME} LIBRARY
  DESTINATION ${CONFIG_LIBDIR}
  PUBLIC_HEADER
  DESTINATION ${CONFIG_INCLUDEDIR}/lscp)

## liblscp 0.5.6

=== debian/changelog ===
liblscp (0.5.6-7ubuntu1) trusty; urgency=medium

  * Make the debhelper dependency less stringent (just >= 9).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 09 Apr 2014 11:44:39 -0400

liblscp (0.5.6-7) unstable; urgency=medium

  * debian/{rules,control}: use dh-autoreconf to fix FTBFS on ppc64el, thanks
    to Logan Rosen (closes: #733838)
  * debian/control: bump debhelper and standards version

 -- Paul Brossier <piem@debian.org>  Fri, 04 Apr 2014 14:51:29 -0300

liblscp (0.5.6-6) unstable; urgency=low

  * Make liblscp-doc properly Break/Replace liblscp-dev << 0.5.6-4 to fix
    a squeeze -> wheezy upgrade bug. (Closes: #694291)

 -- Alessio Treglia <alessio@debian.org>  Mon, 26 Nov 2012 13:52:33 +0000

liblscp (0.5.6-5) unstable; urgency=low

  * Move doxygen from Build-Depends-Indep to Build-Depends to avoid FTBFS.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Jan 2012 17:33:33 +0100

liblscp (0.5.6-4) unstable; urgency=low

  * Move developers reference's HTML files from the -dev package into
    a new arch-indep package: liblscp-doc (Closes: #656881).

 -- Alessio Treglia <alessio@debian.org>  Sun, 22 Jan 2012 21:31:09 +0100

liblscp (0.5.6-3) unstable; urgency=low

  * Introduce Multi-Arch.
  * Bump Standards.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 16 Jan 2012 19:14:11 +0100

liblscp (0.5.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 00:22:34 +0100

liblscp (0.5.6-1) experimental; urgency=low

  * New upstream release.
  * Bump SONAME: liblscp2 -> liblscp6.
  * Add git-buildpackage config file.
  * New maintainer: Debian Multimedia Maintainers Team (Closes: #474527).
  * Add myself to Uploaders list.
  * Switch to format 3.0 (quilt).
  * Drop dpatch support, delete all obsolete patches.
  * Update watch file.
  * Add .gitignore file.
  * Switch to DH 7 + autotools_dev add-on.
  * Remove README.Debian, no longer necessary.
  * Build-Depends on autoconf, refresh automake build-dep.
  * Set the architecture of the -DEV package to all, make all required
    changes to keep it binNMUable.
  * Remove and skip debian/Makefile.*, they were provided by upstream's
    packaging and we don't need them anymore.
  * Drop static objects, drop libtool's junk (*.la files).
  * Update debian/copyright, adopt DEP-5 style proposal.
  * Nothing to install under /usr/share/aclocal, update install file.
  * Build and install the documentation.
  * Improve packages short description.
  * Update Standards to 3.9.1.
  * Move upstream's URL to source stanza.
  * Add -DBG package.

 -- Alessio Treglia <alessio@debian.org>  Fri, 10 Sep 2010 14:36:11 +0200

liblscp (0.5.5-1+cvs080828) unstable; urgency=low

  * New cvs snapshot
  * Added myself to uploaders

 -- Free Ekanayaka <freee@debian.org>  Thu, 28 Aug 2008 08:16:45 +0100

liblscp (0.5.5-0.1) unstable; urgency=low

  * Non-Maintainer upload
  * New upstream

 -- Free Ekanayaka <freee@debian.org>  Wed, 17 Oct 2007 16:08:03 +0100

liblscp (0.5.3-0.1) unstable; urgency=low

  * New release
  * Non-Maintainer upload (Closes: #414823)
  * Bumped Standards-Version to 3.7.2
  * Move liblscp to liblscp2 to reflect the so name change
  * Build-depend on automake1.9 (in case of cvs snapshots)

 -- Free Ekanayaka <freee@debian.org>  Tue, 12 Jun 2007 12:01:43 +0200

liblscp (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Change doc-base section to Apps/Programming

 -- Paul Brossier <piem@debian.org>  Wed, 24 Aug 2005 11:10:37 +0100

liblscp (0.3.0-1) unstable; urgency=low

  [ Paul Brossier ]
  * New upstream release (soname did not change)
  * Adds Build-Depends on doxygen
  * Add a watch file

 -- Paul Brossier <piem@debian.org>  Sun, 31 Jul 2005 00:14:18 +0100

liblscp (0.2.cvs20050602-1) unstable; urgency=low

  * another fix to multiple port build error

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Thu,  2 Jun 2005 17:42:00 +1000

liblscp (0.2.cvs20050524-3) unstable; urgency=low

  * Properly fixed multuple port build error

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Thu,  2 Jun 2005 17:27:48 +1000

liblscp (0.2.cvs20050524-2) unstable; urgency=low

  * Fixed multiple port build error (Closes: #311062)

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Sun, 29 May 2005 23:08:28 +1000

liblscp (0.2.cvs20050524-1) unstable; urgency=low

  * Incorperating new upstream changes (Closes: #280580)

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Tue, 24 May 2005 15:20:23 +1000

liblscp (0.2.1-1) unstable; urgency=low

  * renamed 'liblscp.pc' to 'lscp.pc' as well as the pkg-config lib name
  * Altered Christian's original changelog (Closes: #280580)
  * altered rules to gen. configure script

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Tue, 13 Jul 2004 20:19:13 +0200

=== debian/control ===
Source: liblscp
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 autoconf,
 automake,
 dh-autoreconf,
 debhelper (>= 9),
 doxygen,
 libtool
Standards-Version: 3.9.5
Homepage: http://www.linuxsampler.org
Vcs-Git: git://git.debian.org/pkg-multimedia/liblscp.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/liblscp.git

Package: liblscp-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 liblscp6 (= ${binary:Version}),
 ${misc:Depends}
Description: LinuxSampler Control Protocol library - debugging symbols
 This package is for use with the LinuxSampler audio sampling
 engine / library and packages.
 Wraps the LinuxSampler network protocol and offers a
 convenient API in form of a C library.
 .
 This package contains the debugging symbols.

Package: liblscp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblscp6 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 liblscp-doc
Description: Development files for LinuxSampler Control Protocol library
 This package is for use with the LinuxSampler audio sampling
 engine / library and packages.
 Wraps the LinuxSampler network protocol and offers a
 convenient API in form of a C library.
 .
 This package contains the header files needed for
 development with liblscp. You will need this only if you
 intend to compile programs that use this library.

Package: liblscp-doc
Section: doc
Architecture: all
Breaks: liblscp-dev (<< 0.5.6-4)
Replaces: liblscp-dev (<< 0.5.6-4)
Depends: ${misc:Depends}
Description: Documentation for LinuxSampler Control Protocol library
 This package is for use with the LinuxSampler audio sampling
 engine /  library and packages.
 Wraps the LinuxSampler network protocol and offers a
 convenient API in form of a C library.
 .
 This package contains the developers reference of liblscp.

Package: liblscp6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 liblscp
Replaces:
 liblscp
Description: LinuxSampler Control Protocol wrapper library
 This package is for use with the LinuxSampler audio sampling
 engine /  library and packages.
 Wraps the LinuxSampler network protocol and offers a
 convenient API in form of a C library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_build-indep:
	$(MAKE) -C doc

override_dh_strip:
	dh_strip --dbg-package=liblscp-dbg

## liblscp 0.5.8

=== debian/changelog ===
liblscp (0.5.8-1) unstable; urgency=medium

  * Add myself as uploader.
  * Fix .gitignore file.
  * New upstream version 0.5.8
  * Bump Standards.
  * Patch dropped.
  * Drop autoreconf - not needed with compat 10.
  * Add symbols file.
  * Add local-option file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 15 Nov 2016 08:35:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,22 @@
 Source: liblscp
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  autoconf,
  automake,
- dh-autoreconf,
- debhelper (>= 9),
+ debhelper (>= 10~),
  doxygen,
  libtool
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.linuxsampler.org
-Vcs-Git: git://git.debian.org/pkg-multimedia/liblscp.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/liblscp.git
-
-Package: liblscp-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends:
- liblscp6 (= ${binary:Version}),
- ${misc:Depends}
-Description: LinuxSampler Control Protocol library - debugging symbols
- This package is for use with the LinuxSampler audio sampling
- engine / library and packages.
- Wraps the LinuxSampler network protocol and offers a
- convenient API in form of a C library.
- .
- This package contains the debugging symbols.
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/liblscp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/liblscp.git
 
 Package: liblscp-dev
 Section: libdevel
@@ -59,7 +42,9 @@
 Architecture: all
 Breaks: liblscp-dev (<< 0.5.6-4)
 Replaces: liblscp-dev (<< 0.5.6-4)
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ libjs-jquery
 Description: Documentation for LinuxSampler Control Protocol library
  This package is for use with the LinuxSampler audio sampling
  engine /  library and packages.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build-indep:
	$(MAKE) -C doc
	ln -sf /usr/share/javascript/jquery/jquery.js doc/html/jquery.js

=== debian/watch ===
version=3
http://download.linuxsampler.org/packages/ liblscp-(.*)\.tar\.gz

## liblscp 0.6.0

=== debian/changelog ===
liblscp (0.6.0-1) unstable; urgency=medium

  * Fix filter option in gbp.conf file.
  * New upstream version 0.6.0
  * Bump Standards.
  * Use git instead of cgit in VCS.
  * Use secure uri where possible.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 14 Dec 2017 14:53:12 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  debhelper (>= 10~),
  doxygen,
  libtool
-Standards-Version: 3.9.8
-Homepage: http://www.linuxsampler.org
+Standards-Version: 4.1.2
+Homepage: https://www.linuxsampler.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/liblscp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/liblscp.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/liblscp.git
 
 Package: liblscp-dev
 Section: libdevel

=== debian/watch ===
version=3
https://download.linuxsampler.org/packages/ liblscp-(.*)\.tar\.gz

## liblscp 0.9.6

=== debian/changelog ===
liblscp (0.9.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Apply multi-arch hints. + liblscp-doc: Add Multi-Arch: foreign.

  [ Dennis Braun ]
  * New upstream version 0.9.6
  * Build with cmake
  * Update doc installation
  * d/control:
    + Add myself as uploader
    + Bump dh-compat to 13
    + Bump Standards-Version to 4.6.0
    + Set RRR: no
  * d/copyright
    + Bump copyright year
    + Add examples/example_* files
    + Add GPL-2+ license
    + Add myself to the d/ section
  * Remove obsolete d/source/local-options
  * Add d/not-installed
  * Bump d/watch version to 4
  * Update symbols file

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 May 2022 21:28:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: liblscp
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- autoconf,
- automake,
- debhelper (>= 10~),
- doxygen,
- libtool
-Standards-Version: 4.1.2
+ cmake,
+ debhelper-compat (= 13),
+ doxygen
+Standards-Version: 4.6.0
 Homepage: https://www.linuxsampler.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/liblscp.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/liblscp.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/liblscp.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/liblscp
+Rules-Requires-Root: no
 
 Package: liblscp-dev
 Section: libdevel
@@ -45,6 +45,7 @@
 Depends:
  ${misc:Depends},
  libjs-jquery
+Multi-Arch: foreign
 Description: Documentation for LinuxSampler Control Protocol library
  This package is for use with the LinuxSampler audio sampling
  engine /  library and packages.

## liblscp 0.9.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.13)
 
 project (liblscp
-  VERSION 0.9.6
+  VERSION 0.9.8
   DESCRIPTION "LinuxSampler Control Protocol API library"
   LANGUAGES C)
 
@@ -38,17 +38,12 @@
 set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set (PACKAGE_TARNAME "liblscp")
 
-set (ac_version "${PROJECT_VERSION}")
-set (ac_prefix "${CMAKE_INSTALL_PREFIX}")
-
 set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")
 
 include (GNUInstallDirs)
 set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set (CONFIG_INCLUDEDIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}")
 
-set (ac_libdir "${CONFIG_LIBDIR}")
-set (ac_includedir "${CONFIG_INCLUDEDIR}")
 
 #------------------------------------------------------------------------------------
 # Rules for library version information:
@@ -70,7 +65,7 @@
 
 set (SHARED_VERSION_CURRENT  6)
 set (SHARED_VERSION_AGE      0)
-set (SHARED_VERSION_REVISION 4)
+set (SHARED_VERSION_REVISION 6)
 set (SHARED_VERSION_INFO "${SHARED_VERSION_CURRENT}.${SHARED_VERSION_AGE}.${SHARED_VERSION_REVISION}")
 
 if (CONFIG_DEBUG)
@@ -132,10 +127,3 @@
 add_subdirectory (doc)
 add_subdirectory (examples)
 
-configure_file (liblscp.spec.in liblscp.spec IMMEDIATE @ONLY)
-
-configure_file (lscp.pc.in lscp.pc IMMEDIATE @ONLY)
-
-install (FILES ${CMAKE_CURRENT_BINARY_DIR}/lscp.pc
-  DESTINATION ${CONFIG_LIBDIR}/pkgconfig)
-

=== debian/changelog ===
liblscp (0.9.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * New upstream version 0.9.8
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright year
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Sat, 31 Dec 2022 15:42:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  doxygen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.linuxsampler.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/liblscp.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/liblscp
@@ -40,8 +40,6 @@
 Package: liblscp-doc
 Section: doc
 Architecture: all
-Breaks: liblscp-dev (<< 0.5.6-4)
-Replaces: liblscp-dev (<< 0.5.6-4)
 Depends:
  ${misc:Depends},
  libjs-jquery

## liblscp 0.9.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.13)
 
 project (liblscp
-  VERSION 0.9.8
+  VERSION 0.9.11
   DESCRIPTION "LinuxSampler Control Protocol API library"
   LANGUAGES C)
 
@@ -68,16 +68,13 @@
 set (SHARED_VERSION_REVISION 6)
 set (SHARED_VERSION_INFO "${SHARED_VERSION_CURRENT}.${SHARED_VERSION_AGE}.${SHARED_VERSION_REVISION}")
 
-if (CONFIG_DEBUG)
-  set (CMAKE_BUILD_TYPE "Debug")
-endif ()
 if (CMAKE_BUILD_TYPE MATCHES "Debug")
   set (CONFIG_DEBUG 1)
-endif ()
-if (CONFIG_DEBUG)
   set (CONFIG_BUILD_TYPE "debug")
 else ()
+  set (CONFIG_DEBUG 0)
   set (CONFIG_BUILD_TYPE "release")
+  set (CMAKE_BUILD_TYPE "Release")
 endif ()
 
 set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
liblscp (0.9.11-1) unstable; urgency=medium

  * New upstream version 0.9.11
  * Clean modified file after successful build (Closes: #1047355)
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 19 Sep 2023 20:21:03 +0200

## liblscp 0.9.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,14 @@
 cmake_minimum_required (VERSION 3.13)
 
 project (liblscp
-  VERSION 0.9.11
+  VERSION 0.9.12
   DESCRIPTION "LinuxSampler Control Protocol API library"
+  HOMEPAGE_URL "https://qsampler.sourceforge.io"
   LANGUAGES C)
 
-set (CONFIG_VERSION ${PROJECT_VERSION})
+set (PROJECT_COPYRIGHT "Copyright (C) 2004-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_DOMAIN    "linuxsampler.org")
+
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
@@ -13,30 +16,24 @@
   RESULT_VARIABLE GIT_DESCRIBE_RESULT
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
-  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^1_"      "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
-  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
-  string (REGEX REPLACE "[_|-]"   "." VERSION "${VERSION}")
+  set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
+  string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
+  string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
   execute_process (
     COMMAND git rev-parse --abbrev-ref HEAD
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
     OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
     RESULT_VARIABLE GIT_REVPARSE_RESULT
     OUTPUT_STRIP_TRAILING_WHITESPACE)
-  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
-    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
+  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "main")
+    set (GIT_VERSION "${GIT_VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
-else ()
-  set (VERSION "${PROJECT_VERSION}")
+  set (PROJECT_VERSION "${GIT_VERSION}")
 endif ()
 
-set (PACKAGE_NAME "liblscp")
-set (PACKAGE_VERSION "${VERSION}")
-set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
-set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
-set (PACKAGE_TARNAME "liblscp")
 
 set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,11 @@
   file(REMOVE ${CMAKE_SOURCE_DIR}/lscp/version.h)
 endif()
 configure_file (${CMAKE_SOURCE_DIR}/lscp/version.h.cmake ${CMAKE_SOURCE_DIR}/lscp/version.h)
+
+if (EXISTS ${CMAKE_SOURCE_DIR}/lscp.pc)
+  file(REMOVE ${CMAKE_SOURCE_DIR}/lscp.pc)
+endif()
+configure_file (lscp.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/lscp.pc IMMEDIATE @ONLY)
 
 
 set (PUBLIC_HEADERS
@@ -55,3 +60,8 @@
   DESTINATION ${CONFIG_LIBDIR}
   PUBLIC_HEADER
   DESTINATION ${CONFIG_INCLUDEDIR}/lscp)
+
+install (FILES ${CMAKE_CURRENT_BINARY_DIR}/lscp.pc
+  DESTINATION ${CONFIG_LIBDIR}/pkgconfig)
+
+

=== debian/changelog ===
liblscp (0.9.12-1) unstable; urgency=medium

  * New upstream version 0.9.12
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 29 Jan 2024 21:02:54 +0100

## liblscp 1.0.0

=== examples/CMakeLists.txt ===
# project(liblscp)

set (CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories (${CMAKE_SOURCE_DIR})

add_executable (example_server
  example_server.c
  server.h
  parser.h
  server.c
  parser.c  
)

add_executable (example_client
  example_client.c
)

target_link_libraries (example_server PRIVATE ${PROJECT_NAME})
target_link_libraries (example_client PRIVATE ${PROJECT_NAME})

=== debian/changelog ===
liblscp (1.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.0.0

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 21 Jun 2024 11:41:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: liblscp
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Paul Brossier <piem@debian.org>,
- Free Ekanayaka <freee@debian.org>,
- Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <snd@debian.org>
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- doxygen
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Paul Brossier <piem@debian.org>,
+           Free Ekanayaka <freee@debian.org>,
+           Alessio Treglia <alessio@debian.org>,
+           Jaromír Mikeš <mira.mikes@seznam.cz>,
+           Dennis Braun <snd@debian.org>
+Build-Depends: cmake, debhelper-compat (= 13), doxygen
 Standards-Version: 4.6.2
 Homepage: https://www.linuxsampler.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/liblscp.git
@@ -22,11 +19,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends:
- liblscp6 (= ${binary:Version}),
- ${misc:Depends}
-Suggests:
- liblscp-doc
+Depends: liblscp6 (= ${binary:Version}), ${misc:Depends}
+Suggests: liblscp-doc
 Description: Development files for LinuxSampler Control Protocol library
  This package is for use with the LinuxSampler audio sampling
  engine / library and packages.
@@ -40,9 +34,7 @@
 Package: liblscp-doc
 Section: doc
 Architecture: all
-Depends:
- ${misc:Depends},
- libjs-jquery
+Depends: libjs-jquery, ${misc:Depends}
 Multi-Arch: foreign
 Description: Documentation for LinuxSampler Control Protocol library
  This package is for use with the LinuxSampler audio sampling
@@ -57,13 +49,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
-Conflicts:
- liblscp
-Replaces:
- liblscp
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: liblscp
+Replaces: liblscp
 Description: LinuxSampler Control Protocol wrapper library
  This package is for use with the LinuxSampler audio sampling
  engine /  library and packages.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## liblscp 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required (VERSION 3.13)
 
 project (liblscp
-  VERSION 0.9.12
+  VERSION 1.0.1
   DESCRIPTION "LinuxSampler Control Protocol API library"
   HOMEPAGE_URL "https://qsampler.sourceforge.io"
   LANGUAGES C)
 
-set (PROJECT_COPYRIGHT "Copyright (C) 2004-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_COPYRIGHT "Copyright (C) 2004-2025, rncbc aka Rui Nuno Capela. All rights reserved.")
 set (PROJECT_DOMAIN    "linuxsampler.org")
 
 execute_process (
@@ -18,8 +18,6 @@
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
   execute_process (

=== doc/CMakeLists.txt ===
# project(liblscp)

find_package (Doxygen)

if (DOXYGEN_FOUND)
  set (top_srcdir "${CMAKE_CURRENT_SOURCE_DIR}/..")
  configure_file (liblscp.doxygen.in liblscp.doxygen IMMEDIATE @ONLY)
  add_custom_target (doxygen ALL
    COMMAND ${DOXYGEN_EXECUTABLE} liblscp.doxygen
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  install (DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
    DESTINATION ${CMAKE_INSTALL_DOCDIR})
endif ()

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -18,3 +18,12 @@
 
 target_link_libraries (example_server PRIVATE ${PROJECT_NAME})
 target_link_libraries (example_client PRIVATE ${PROJECT_NAME})
+
+if (MICROSOFT)
+  target_link_libraries(example_server PRIVATE ws2_32.lib)
+  target_link_libraries(example_client PRIVATE ws2_32.lib)
+elseif (MINGW)
+  target_link_libraries(example_server PRIVATE wsock32 ws2_32)
+  target_link_libraries(example_client PRIVATE wsock32 ws2_32)
+endif()
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -49,6 +49,12 @@
 
 target_link_libraries (${PROJECT_NAME} PUBLIC pthread)
 
+if (MICROSOFT)
+  target_link_libraries(${PROJECT_NAME} PRIVATE ws2_32.lib)
+elseif (MINGW)
+  target_link_libraries(${PROJECT_NAME} PRIVATE wsock32 ws2_32)
+endif()
+
 set_target_properties (${PROJECT_NAME} PROPERTIES
   PUBLIC_HEADER "${PUBLIC_HEADERS}"
   PREFIX "lib"

=== debian/changelog ===
liblscp (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Bump Standards-Version to 4.7.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Thu, 03 Apr 2025 19:57:42 +0200

liblscp (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Bump Standards-Version to 4.7.0
  * Use the default ci config from salsa

 -- Dennis Braun <snd@debian.org>  Sat, 20 Jul 2024 22:12:52 +0200

=== debian/control ===
Source: liblscp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <snd@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doxygen
Standards-Version: 4.7.2
Homepage: https://www.linuxsampler.org
Vcs-Git: https://salsa.debian.org/multimedia-team/liblscp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/liblscp
Rules-Requires-Root: no

Package: liblscp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblscp6 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 liblscp-doc
Description: Development files for LinuxSampler Control Protocol library
 This package is for use with the LinuxSampler audio sampling
 engine / library and packages.
 Wraps the LinuxSampler network protocol and offers a
 convenient API in form of a C library.
 .
 This package contains the header files needed for
 development with liblscp. You will need this only if you
 intend to compile programs that use this library.

Package: liblscp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 libjs-jquery
Multi-Arch: foreign
Description: Documentation for LinuxSampler Control Protocol library
 This package is for use with the LinuxSampler audio sampling
 engine /  library and packages.
 Wraps the LinuxSampler network protocol and offers a
 convenient API in form of a C library.
 .
 This package contains the developers reference of liblscp.

Package: liblscp6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 liblscp
Replaces:
 liblscp
Description: LinuxSampler Control Protocol wrapper library
 This package is for use with the LinuxSampler audio sampling
 engine /  library and packages.
 Wraps the LinuxSampler network protocol and offers a
 convenient API in form of a C library.

=== debian/watch ===
version=4
https://download.linuxsampler.org/packages/ liblscp-(.*)\.tar\.gz
